> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cynopsis.co/llms.txt
> Use this file to discover all available pages before exploring further.

# getManagerOddForDashboard



## OpenAPI

````yaml get /api/dashboard/manager/stats/odd/detail
openapi: 3.1.0
info:
  description: Api Documentation
  version: '3.0'
  title: Api Documentation
  termsOfService: urn:tos
  contact: {}
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0
servers:
  - url: https://api.artemis.cynopsis.co
security: []
tags:
  - name: app-config-controller
    description: App Config Controller
  - name: asia-verify-controller
    description: Asia Verify Controller
  - name: authentication-controller
    description: Authentication Controller
  - name: authentication-manager-controller
    description: Authentication Manager Controller
  - name: basic-error-controller
    description: Basic Error Controller
  - name: comment-controller
    description: Comment Controller
  - name: customer-controller
    description: Customer Controller
  - name: dashboard-controller
    description: Dashboard Controller
  - name: domain-controller
    description: Domain Controller
  - name: expiring-document-controller
    description: Expiring Document Controller
  - name: hand-shake-controller
    description: Hand Shake Controller
  - name: media-controller
    description: Media Controller
  - name: on-going-due-diligent-controller
    description: On Going Due Diligent Controller
  - name: own-restricted-list-controller
    description: Own Restricted List Controller
  - name: periodic-review-controller
    description: Periodic Review Controller
  - name: quick-scan-controller
    description: Quick Scan Controller
  - name: user-controller
    description: User Controller
paths:
  /api/dashboard/manager/stats/odd/detail:
    get:
      tags:
        - dashboard-controller
      summary: getManagerOddForDashboard
      operationId: getManagerOddForDashboardUsingGET
      parameters:
        - name: endDate
          in: query
          description: endDate
          required: false
          schema:
            type: string
            format: date
        - name: nextToken
          in: query
          description: nextToken
          required: false
          schema:
            type: string
        - name: pageSize
          in: query
          description: pageSize
          required: false
          schema:
            type: integer
            format: int32
            default: 10
        - name: startDate
          in: query
          description: startDate
          required: false
          schema:
            type: string
            format: date
        - name: X-Domain-ID
          in: header
          description: X-Domain-ID
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            '*/*':
              schema:
                $ref: >-
                  #/components/schemas/GenericCursorPagination_CustomerScreeningSummaryResponseDto_
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
      security:
        - OAuth2_Client_Credentials: []
        - OAuth2_Password: []
components:
  schemas:
    GenericCursorPagination_CustomerScreeningSummaryResponseDto_:
      type: object
      properties:
        items:
          type: array
          items:
            $ref: '#/components/schemas/CustomerScreeningSummaryResponseDto'
        nextToken:
          type: string
        total:
          type: integer
          format: int64
      title: GenericCursorPagination«CustomerScreeningSummaryResponseDto»
    CustomerScreeningSummaryResponseDto:
      type: object
      properties:
        customer:
          $ref: '#/components/schemas/CustomerResponseDto'
        parentCustomer:
          $ref: '#/components/schemas/CustomerResponseDto'
        screening:
          $ref: '#/components/schemas/ScreeningResponseDto'
      title: CustomerScreeningSummaryResponseDto
    CustomerResponseDto:
      type: object
      properties:
        active:
          type: boolean
        assignees:
          type: array
          items:
            $ref: '#/components/schemas/UserInfo'
        createdAt:
          $ref: '#/components/schemas/Timestamp'
        createdBy:
          $ref: '#/components/schemas/UserInfo'
        forms:
          $ref: '#/components/schemas/JsonNode'
        id:
          type: integer
          format: int64
        lastRiskAssessment:
          type: string
          format: date-time
        listRoleAsText:
          type: array
          items:
            type: string
        notes:
          $ref: '#/components/schemas/JsonNode'
        other:
          $ref: '#/components/schemas/JsonNode'
        parentId:
          type: integer
          format: int64
        particular:
          $ref: '#/components/schemas/JsonNode'
        profileId:
          type: integer
          format: int64
        profileReferenceId:
          type: string
        referenceId:
          type: string
        riskRating:
          type: string
          enum:
            - HIGH
            - LOW
            - MEDIUM
            - MEDIUM_HIGH
            - MEDIUM_LOW
            - UNKNOWN
        roles:
          type: array
          items:
            $ref: '#/components/schemas/CRPRoleResponseDto'
        status:
          type: string
          enum:
            - ACCEPTED
            - CLEARED
            - DRAFT
            - PENDING
            - REJECTED
            - REQUEST_CHANGES
        type:
          type: string
          enum:
            - CORPORATE
            - INDIVIDUAL
        updatedAt:
          $ref: '#/components/schemas/Timestamp'
        updatedBy:
          $ref: '#/components/schemas/UserInfo'
        vendorEntityGuid:
          type: string
        vendorName:
          type: string
      title: CustomerResponseDto
    ScreeningResponseDto:
      type: object
      properties:
        additionalInformation:
          $ref: '#/components/schemas/ScreeningAdditionalInformation'
        createdAt:
          $ref: '#/components/schemas/Timestamp'
        createdBy:
          $ref: '#/components/schemas/UserInfo'
        facInformation:
          $ref: '#/components/schemas/ScreeningFACInformation'
        finalStatus:
          type: string
          enum:
            - DONE
            - FAILED
            - NEVER
            - PENDING
        hasHit:
          type: boolean
        id:
          type: integer
          format: int64
        isPeriodic:
          type: boolean
        ocrInformation:
          $ref: '#/components/schemas/ScreeningOCRInformation'
        oddStatus:
          type: string
          enum:
            - CLOSED
            - OPEN
        profileId:
          type: integer
          format: int64
        quickscanName:
          type: string
        quickscanType:
          type: string
          enum:
            - CORPORATE
            - INDIVIDUAL
        remarks:
          type: array
          items:
            type: string
        screenedWith:
          type: array
          items:
            type: string
            enum:
              - ARTEMISCAN
              - DJ
              - FACE_COMPARE
              - INTERNET_SEARCH
              - OCR
              - OWN_RESTRICTED_LIST
              - TR
        screeningConclusion:
          type: array
          items:
            type: string
            enum:
              - ADVERSE_MEDIA
              - NO_HIT
              - OWN_RESTRICTED_LIST
              - PEP
              - SANCTION
        status:
          $ref: '#/components/schemas/ScreeningStatusResponseDto'
        updatedAt:
          $ref: '#/components/schemas/Timestamp'
        updatedBy:
          $ref: '#/components/schemas/UserInfo'
        valid:
          type: boolean
      title: ScreeningResponseDto
    UserInfo:
      type: object
      properties:
        email:
          type: string
        firstName:
          type: string
        fullName:
          type: string
        id:
          type: integer
          format: int64
        lastName:
          type: string
      title: UserInfo
    Timestamp:
      type: object
      properties:
        date:
          type: integer
          format: int32
        day:
          type: integer
          format: int32
        hours:
          type: integer
          format: int32
        minutes:
          type: integer
          format: int32
        month:
          type: integer
          format: int32
        nanos:
          type: integer
          format: int32
        seconds:
          type: integer
          format: int32
        time:
          type: integer
          format: int64
        timezoneOffset:
          type: integer
          format: int32
        year:
          type: integer
          format: int32
      title: Timestamp
    JsonNode:
      type: object
      title: JsonNode
    CRPRoleResponseDto:
      type: object
      properties:
        appointedDate:
          type: string
          format: date
        createdAt:
          $ref: '#/components/schemas/Timestamp'
        createdBy:
          $ref: '#/components/schemas/UserInfo'
        id:
          type: integer
          format: int64
        resignedDate:
          type: string
          format: date
        role:
          type: string
        updatedAt:
          $ref: '#/components/schemas/Timestamp'
        updatedBy:
          $ref: '#/components/schemas/UserInfo'
      title: CRPRoleResponseDto
    ScreeningAdditionalInformation:
      type: object
      properties:
        djMonitoringCaseId:
          type: string
        djMonitoringTxId:
          type: string
        faceCompareDocumentId:
          type: string
        faceCompareSelfieId:
          type: string
        ocrDocumentId:
          type: string
      title: ScreeningAdditionalInformation
    ScreeningFACInformation:
      type: object
      properties:
        faceCompareDocumentId:
          type: integer
          format: int64
        faceCompareSelfieId:
          type: integer
          format: int64
      title: ScreeningFACInformation
    ScreeningOCRInformation:
      type: object
      properties:
        ocrDocumentId:
          type: integer
          format: int64
      title: ScreeningOCRInformation
    ScreeningStatusResponseDto:
      type: object
      properties:
        createdAt:
          $ref: '#/components/schemas/Timestamp'
        createdBy:
          $ref: '#/components/schemas/UserInfo'
        id:
          type: integer
          format: int64
        profileId:
          type: integer
          format: int64
        screeningId:
          type: integer
          format: int64
        status:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/Status'
        updatedAt:
          $ref: '#/components/schemas/Timestamp'
        updatedBy:
          $ref: '#/components/schemas/UserInfo'
      title: ScreeningStatusResponseDto
    Status:
      type: object
      properties:
        message:
          type: string
        status:
          type: string
          enum:
            - DONE
            - FAILED
            - NEVER
            - PENDING
      title: Status
  securitySchemes:
    OAuth2_Client_Credentials:
      type: oauth2
      flows:
        clientCredentials:
          tokenUrl: https://crm.cynopsis.co/oauth/token
          scopes: {}
    OAuth2_Password:
      type: oauth2
      flows:
        password:
          tokenUrl: https://crm.cynopsis.co/oauth/token
          scopes: {}

````